Skip to main content
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
manifests
List Cluster Manifests Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/manifests"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/manifests \
--header 'Authorization: Bearer <token>'
{
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123
  },
  "result": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "delete_permanently": true,
      "manifest_base64": "<string>",
      "name": "<string>",
      "stack_name": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Response

Successful Response

pagination
Pagination · object
required
result
ManifestItem · object[]
required